Chuyển đến nội dung
Diễn đàn CADViet

ketxu

Moderator
  • Số lượng nội dung

    5.554
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    269

Cộng đồng

2.659 (tuyệt vời)

2 Người theo dõi

About ketxu

  • Cấp bậc
    Copier - Paster - Editor

Phương pháp liên hệ

  • Địa chỉ Trang web:
    http://ks.stung@gmail.com
  • ICQ
    0

Thông tin hồ sơ

  • Giới tính
    Male

Khách truy cập Tiểu sử gần đây

83.929 chế độ xem tiểu sử
  1. Nhờ viết lisp: Tạo dim vuông góc giữa hai đường Polyline

    Cái này a có viết rồi, 5,6 dòng code chứ mấy ^^ Nhưng với VBA là nhọc hơn đó :D
  2. Lỗi layer

    Chắc ý bạn là màu nó cứ giữ nguyên chứ k chạy theo màu layer, hoặc Linetype ... ^^ (Đoán mò) Bạn không chọn j, ấn Ctrl + 1, chỉnh tất cả về ByLayer xem sao
  3. Ủng hộ và like bạn share nhưng tạm thời chưa thể ngồi gõ tay code này ^^
  4. Xin hướng dẫn kéo chuột chọn vùng quét

    - Đây là chế độ Lasso select, rất tiện. Nếu bạn không muốn sử dụng chế độ này thì có thể làm 1 trong 2 cách : + C1 : Tắt hẳn chế độ Lasso bằng cách loại bỏ Option đã ghi trong ảnh + C2 : Bỏ thói quen giữ chặt chuột trái khi chọn đối tượng. Đây là một thói quen rất thô. Bạn chỉ cần click rồi nhả chuột ra, sau đó quét vùng thôi
  5. Method Add Region. Bạn lưu ý kiểm tra tính closed trước cho chắc chắn Cú pháp : https://knowledge.autodesk.com/search-result/caas/CloudHelp/cloudhelp/2015/ENU/AutoCAD-ActiveX/files/GUID-4699B54A-2628-49FE-B093-0062FBEC37EA-htm.html Trường hợp nó k liên tục mà gồm nhiều đối tượng thì bạn thử Add vào Array rồi thực hiện method trên. Tham khảo : https://knowledge.autodesk.com/search-result/caas/CloudHelp/cloudhelp/2016/ENU/AutoCAD-ActiveX/files/GUID-74C8765E-EB4A-4773-ADD4-6C0F318FE6BE-htm.html
  6. Câu chuyện này gặp ở Mline rồi vẫn chưa chừa sao ^^
  7. <cần giúp> tạo đối tượng "mới" trong cad

    CADNet và VBA đâu có tạo được custom Object ^^
  8. [Yêu Cầu] Tính tổng chiều dài theo layer !!!!

    - Lisp 1 : Nếu Pline toàn phân đoạn thẳng thì không khó, có đoạn cong thì chạy lâu hơn. Còn vấn đề xuất chiều dài, bạn tự dùng Dataextraction để làm việc đó - Lisp 2 : Quá dễ rồi, chỉ là thao tác substr thôi - Lisp 3 : Cũng là Dataextraction, chứ k cần lisp Tất nhiên là làm được nếu bạn đặt hàng có phí ^^ Còn nếu không, tôi cũng tin chắc ae trong diễn đàn dư sức giúp bạn các vấn đề này, tuy nhiên, đầu tuần nhiều người bận Tôi cũng có thời gian làm QS nên có thể hiểu những gì bạn muốn cho công việc thống kê
  9. [REQUEST] LISP convert nhiều line thành nhiều polyline

    Lệnh Pedit có Option Multi để xử lý
  10. Cách bo tròn góc cho đường ML

    Nhược điểm của Mline đến thời điểm này là chỉ vẽ các phân đoạn thẳng ^^
  11. Lisp đo khoảng cách 3 tâm đường tròn

    Nếu thao tác thuận lợi (Pick chọn đường vàng -> Quét chọn các đường tròn -> Pick điểm đặt giá trị đo) thì chỉ cần quickcode thế này là đủ :) (defun c:foo() (vl-cmdf ".ucs" "Object" pause ".qdim" (ssget '((0 . "CIRCLE"))) "" pause ".ucs" "Previous" ))
  12. [Yêu cầu] - Lisp tự động tạo thư viện mẫu Hatch

    Ý tưởng hay nhưng ketxu cũng chỉ đạt gạch hóng, vì dạo này nhiều thứ đập vào mặt quá ^^
  13. [Lisp tặng] Viết DCL bằng tiếng Việt font Unicode

    Theo cháu đoán bác sẽ convert sang Unicode Hexa rồi load.
  14. Lisp đo khoảng cách 3 tâm đường tròn

    Nếu làm nhiều thì bạn hãy đặt hàng một module thôi ^^
  15. [Share]Đánh cos cao độ tự động

    Bạn tạo một lisp với nội dung là : (defun c:Lệnh_của_bạn()(c:dccd))
×